<?php

namespace common\logic\Producer\Producer;

use common\logic\ContainerInterface;

class ProducerContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProducerModel::class;
    }

    public function getServices(): array
    {
        return [
            ProducerFactory::class,
            ProducerRepository::class,
            ProducerBuilder::class,
            ProducerUtils::class
        ];
    }

    public function getFactory(): ProducerFactory
    {
        return new ProducerFactory();
    }

    public function getRepository()
    {
        return new ProducerRepository();
    }

    public function getBuilder(): ProducerBuilder
    {
        return new ProducerBuilder();
    }

    public function getUtils(): ProducerUtils
    {
        return new ProducerUtils();
    }
}